Description

Hallo zusammen,

ich bräuchte ein wenig Support bei dem nachfolgenden Vorhaben:

ich würde gerne einen ADTF Filter erstellen, der eine GUI öffnet

die GUI habe ich mit dem Qt Designer erstellt und als ui-File gespeichert

das ui - File habe ich mit dem uic Compiler wie folgt in ein H-File übersetzt

C:\Tooling\ADTF\2.13.2\addons\Qt_4.7.1\bin> uic -o GUI.h C:\Tooling\VisualStudio\Perf_Statistics\GUI.ui

nun würde ich dies mit dem ADTF Filter "verheiraten" so dass beim Starten des Filters diese GUI aufgeht

Vielleicht habt ihr eine Unterlage oder ein wenig Beispiel Code für mich wie ich dabei vorgehen muss?

Ich verwendet ADTF 2.13.2 und Qt4.7.1

Lösung

das übersetzen des UI Files kannst du auch in CMake erledigen lassen:

adtf_add_ui(<target> <ui file>...)

 Leite Deinen Filter von cBaseQtFilter ab. In Deiner überschriebenen CreateView() Funktion kannst du dann dein Widget erzeugen

das wiederum von der generierten Klasse abgeleitet ist und im Konstruktor setupUi(this) ruft. Die Instanz gibst du dann in

CreateView() zurück.

Ein komplettes Beispiel habe ich leider nicht zur Hand, du kannst dich in der CreateView() aber an 

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_qttreewidget.html orientieren.

History

#1 - 2021-08-10 08:04 - hidden

- Project changed from Public Support to 4

- Description updated

- Status changed from New to In Progress

- Customer set to AUDI

- Department set to EF

- Topic set to ADTF::FilterSDK

- Affected Products ADTF 2.13.2 added

- Platform Windows 10 64bit added

#2 - 2021-08-11 09:55 - hidden

Hallo Beatrix,

das übersetzen des UI Files kannst du auch in CMake erledigen lassen:
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_qttreewidget.html


adtf_add_ui(<target> <ui file>...)

 Leite Deinen Filter von cBaseQtFilter ab. In Deiner überschriebenen CreateView() Funktion kannst du dann dein Widget erzeugen das wiederum von

der generierten Klasse abgeleitet ist und im Konstruktor setupUi(this) ruft. Die Instanz gibst du dann in CreateView() zurück.

Ein komplettes Beispiel habe ich leider nicht zur Hand, du kannst dich in der CreateView() aber an 

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_qttreewidget.html orientieren.

Hoffe das hilft,

Grüße,

Martin

#3 - 2021-08-16 07:04 - hidden

Hallo Beatrix,

ist deine Frage damit beantwortet? Dann würden wir das Ticket schließen.

Grüße

Margarete

#4 - 2021-08-19 06:36 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2021-08-25 16:22 - hidden

- Project changed from 4 to 11

- Subject changed from GUI Erstellung über ADTF Filter to Create GUI within ADTF Filter

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#6 - 2021-08-25 16:22 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
